[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| RGBToGrayAccessor [Accessors for RGBValue] |

`#include <vigra/rgbvalue.hxx>`

List of all members.

## Public Member Functions

template<class ITERATOR, class DIFFERENCE>
value_type | operator() (ITERATOR const &i, DIFFERENCE d) const
template<class ITERATOR>
value_type | operator() (ITERATOR const &i) const

## Detailed Description

### template<class RGBVALUE>
class vigra::RGBToGrayAccessor< RGBVALUE >

Encapsulate access to luminance of an rgb value.

#include <vigra/rgbvalue.hxx>
Namespace: vigra

## Member Function Documentation

template<class ITERATOR, class DIFFERENCE>
value_type operator() | ( | ITERATOR const & | i,
|  | DIFFERENCE | d |
| ) |  |  | const

Get value of the luminance at an offset

template<class ITERATOR>
value_type operator() | ( | ITERATOR const & | i | ) | const

Get value of the luminance

The documentation for this class was generated from the following file:

- vigra/rgbvalue.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python VIGRA 1.6.0 (13 Aug 2008)